# TODO:
# - system boxfort (when released): https://github.com/diacritic/BoxFort
# - system libcsptr (when some post-2017 release made): https://github.com/Snaipe/libcsptr
#
# Conditional build:
%bcond_without	tests		# build without tests
#
Summary:	A cross-platform C and C++ unit testing framework for the 21th century
Summary(pl.UTF-8):	Wieloplatformowy szkielet do testów jednostkowych dla C i C++ w XXI wieku
Name:		criterion
Version:	2.3.3
Release:	5
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/Snaipe/Criterion/releases
Source0:	https://github.com/Snaipe/Criterion/releases/download/v%{version}/%{name}-v%{version}.tar.bz2
# Source0-md5:	0305dbb5e00f04fd65b22e9ad82ba952
Patch0:		%{name}-libdir.patch
Patch1:		x32.patch
Patch2:		no-cram.patch
URL:		https://github.com/Snaipe/Criterion
BuildRequires:	cmake >= 2.8.0
BuildRequires:	dyncall >= 1.0
BuildRequires:	nanomsg-devel >= 1.0.0
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A dead-simple, yet extensible, C and C++ unit testing framework.

%description -l pl.UTF-8
Bardzo prosty, ale rozszerzalny szkielet testów jednostkowych dla C i
C++.

%package devel
Summary:	Header files for criterion library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki criterion
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for criterion library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki criterion.

%prep
%setup -q -n %{name}-v%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
install -d build
cd build
%cmake .. \
	%{cmake_on_off tests CTESTS}

%{__make}

%{?with_tests:%{__make} criterion_tests test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang Criterion

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig


%files -f Criterion.lang
%defattr(644,root,root,755)
%doc ChangeLog doc/*.txt
%attr(755,root,root) %{_libdir}/libcriterion.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcriterion.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcriterion.so
%{_includedir}/criterion
%{_pkgconfigdir}/criterion.pc
%changelog
* Wed May 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/criterion.git;a=log;h=master

* Wed May 06 2020 Jan Rękorajski <baggins@pld-linux.org> 286f290
- fix miscompiled library on x32
- added tests
- rel 5

* Wed May 06 2020 Jan Rękorajski <baggins@pld-linux.org> 5d023ef
- cram tests fail due to missing, unchecked dependencies

* Fri May 01 2020 Jan Rękorajski <baggins@pld-linux.org> ca1ee7b
- release 4 (by relup.sh)

* Wed Apr 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 6e47062
- added libdir patch (fix library install and .pc file)
- use system dyncall and nanomsg libraries
- release 3

* Fri Sep 20 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> aa7e236
- rel 2; fix i686 build

* Fri Sep 20 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 87c0520
- initial

